<!--    Authors         :   Carlos C. Corrada-Bravo
                            David J. Ortiz-Rivera

        Organization    :   Centro de Desarrollo y Consultoria Computacional
        Project         :   OPASO Material Registry  
        File            :   menu
        Description     :   Display user menu -->

<!-- verify session -->
<?php require_once("header.php");?>

<!doctype html>
<html lang="en">
    <!-- encoding/imports/styling -->
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title class="title">Menu</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
        <link rel="stylesheet" href="/style/main.css">
        <link rel="stylesheet" href="/style/menu.css">
    </head>
    
    <!-- content -->
    <body>
        <div class="content">
            <!-- navbar -->
            <?php require_once("navbar.php")?>

            <div class="main">
                <div class="header-wrapper">
                    <h5 class="header">Menu</h5>

                	<!-- processing -->
                    <div class="processing">
                        <p class="processing-text">Fetching laboratories...</p>
                        <div class="loader"></div>
                    </div>  
                </div>
                <div class="main-wrapper">
                    <!-- Menu -->
                    <div class="menu">
                    	<div class="sub-menu-wrapper">
							<?php
							    if(($_SESSION["access_level"] === "admin") or ($_SESSION["access_level"] === "investigator")){
						    	echo 	'<div class="sub-menu admin">
	                        				<h6 class="header">Admin</h6><br>  
	                        				<div class="col-lg-5 menu-link-wrapper">
	                        					<a class="menu-link" href="/manage-personnel">Mangage Personnel 
	                        						<i class="fas fa-user-alt menu-link-icon"></i>
	                        					</a>
	                        				</div>
	                        				<div class="col-lg-5 menu-link-wrapper">
	                        					<a class="menu-link" href="/manage-laboratories">Mangage Laboratories
	                        						<i class="fas fa-building menu-link-icon"></i>
	                        					</a>
	                        				</div>
	                        				<div class="col-lg-5 menu-link-wrapper">
	                        					<a class="menu-link" href="/transactions">Transactions
	                        						<i class="material-icons menu-link-icon">attach_money</i>
	                        					</a>
	                        				</div>';
									if($_SESSION["access_level"] === "admin"){
										echo '<div class="col-lg-5 menu-link-wrapper">
	                        					<a class="menu-link" href="/requests">Requests
	                        						<i class="material-icons menu-link-icon">notes</i>
	                        					</a>
	                        				  </div>';
									}

	                        		echo '</div>';
							    }
							?>	

	                        <div class="sub-menu materials">
	                            <h6 class="header">Materials</h6><br>  
								<div class="col-lg-5 menu-link-wrapper">
	            					<a class="menu-link" href="/materials">See Materials
	            						<i class="fas fa-flask menu-link-icon"></i>
	            					</a>
	            				 </div>
								<div class="col-lg-5 menu-link-wrapper">
	            					<a class="menu-link" href="/hazards">See Materials by Hazard
	            						<i class="material-icons menu-link-icon">warning</i>
	            					</a>
	            				 </div>
								<div class="col-lg-5 menu-link-wrapper">
	            					<a class="menu-link" href="/offered">Offered Materials
	            						<i class="material-icons menu-link-icon">redeem</i>
	            					</a>
	            				 </div>
	                        </div>
                        </div>
                        <div class="sub-menu-wrapper">
	                        <div class="sub-menu laboratories">
	                            <h6 class="header">Laboratories</h6><br>  
	                            
	                        </div>
						</div>
                    </div>

                </div>
            </div>
            <!-- footer -->
            <?php require_once("footer.php")?>
        </div> 

        <!-- scripts -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
        <script type="text/javascript" src="/scripts/main.js"></script>
        <script type="text/javascript" src="/scripts/menu.js"></script>
    </body>
</html>